package org.openxma.dsl.platform.validation;

import org.springframework.validation.DefaultMessageCodesResolver;
import org.springframework.validation.Errors;
import org.springframework.validation.MessageCodesResolver;
import org.springframework.validation.Validator;

public abstract class Validators extends BaseValidators implements Validator {


    protected Errors createErrors(Object target) {
        return ValidatorsHelper.createErrors(target, getMessageCodeResolver());
    }

    /**
     * @return the default <code>MessageCodesResolver</code>
     */
    protected MessageCodesResolver getMessageCodeResolver() {
        return new DefaultMessageCodesResolver();
    }

}
