package org.openxma.dsl.platform.xma.client.effects;


public class DslEffectFactory {
    
    protected static DslEffectFactory instance;    
    
    /**
     * Returns an instance of the factory.
     *
     * @return an instance of WidgetFactory.
     */    
    public static synchronized DslEffectFactory getInstance() {
        if (instance == null) {                        
            instance = new DslEffectFactory();                            
        }
        return instance;
    }
    
    public Effect createEffect(String effectName) {
        return new DefaultMouseEffect(); 
    }

}
